Subject: Re: [PATCH net-next 14/15] net: dsa: sja1105: replace mdiobus-pcs with xpcs-plat driver

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Nov 2025 08:11:12 -0800

On Wed, 19 Nov 2025 13:25:22 +0200 Vladimir Oltean wrote:
> I think it's due to the fact that the "contest" checks are fundamentally
> so slow, that they can't be run on individual patch sets, and are run on
> batches of patch sets merged into a single branch (of which there seem
> to be 8 per day).

Correct, looking at the logs AFAICT coccicheck takes 25min on a
relatively beefy machine, and we only run it on path that were actually
modified by pending changes. We get 100+ patches a day, and 40+ series,
and coccicheck fails relatively rarely. So on the NIPA side it's not
worth it.

But, we can certainly integrate it into ingest_mdir.

FTR make htmldocs and of course selftests are also not executed by
ingest_mdir.